Package org.eclipse.net4j.spi.db

## Class DBSchema

- java.lang.Object
- - org.eclipse.net4j.util.event.Notifier
  - - org.eclipse.net4j.internal.db.ddl.DBElement
    - - org.eclipse.net4j.internal.db.ddl.DBNamedElement
      - - org.eclipse.net4j.internal.db.ddl.DBSchemaElement
        - - org.eclipse.net4j.internal.db.ddl.DBSchema
          - - org.eclipse.net4j.spi.db.DBSchema

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<IDBSchemaElement>`, `IDBElement`, `IDBNamedElement`, `IDBSchema`, `IDBSchemaElement`, `InternalDBElement`, `InternalDBNamedElement`, `InternalDBSchema`, `InternalDBSchemaElement`, `org.eclipse.net4j.util.container.IContainer<IDBSchemaElement>`, `org.eclipse.net4j.util.event.INotifier`, `org.eclipse.net4j.util.event.INotifier.INotifier2`

      @Deprecated
      public class DBSchema
      extends org.eclipse.net4j.internal.db.ddl.DBSchema

  Deprecated.
  As of 4.2 call `DBUtil.createSchema(String)`, `DBUtil.readSchema(IDBAdapter, Connection, IDBSchema)`, `DBUtil.readSchema(IDBAdapter, Connection, String)` or `DBUtil.copySchema(IDBSchema)`.
  Author:
    Eike Stepper
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

      `org.eclipse.net4j.util.container.IContainer.Modifiable<E extends java.lang.Object>, org.eclipse.net4j.util.container.IContainer.Persistable<E extends java.lang.Object>, org.eclipse.net4j.util.container.IContainer.Persistence<E extends java.lang.Object>`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.db.ddl.IDBSchemaElement

      `IDBSchemaElement.SchemaElementType`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

      `org.eclipse.net4j.util.event.INotifier.INotifier2`

  - ### Field Summary

    - ### Fields inherited from interface org.eclipse.net4j.spi.db.ddl.InternalDBSchema

      `NO_TABLES`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `DBSchema()` | Deprecated. Constructor for deserialization.
    `` | `DBSchema​(java.lang.String name)` | Deprecated.
    `` | `DBSchema​(IDBSchema source)` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addListener​(org.eclipse.net4j.util.event.IListener listener)` | Deprecated.
    `IDBTable` | `addTable​(java.lang.String name)` | Deprecated.
    `void` | `assertUnlocked()` | Deprecated.
    `java.util.Set<IDBTable>` | `create​(IDBAdapter dbAdapter, java.sql.Connection connection)` | Deprecated.
    `java.util.Set<IDBTable>` | `create​(IDBAdapter dbAdapter, javax.sql.DataSource dataSource)` | Deprecated.
    `java.util.Set<IDBTable>` | `create​(IDBAdapter dbAdapter, IDBConnectionProvider connectionProvider)` | Deprecated.
    `void` | `drop​(IDBAdapter dbAdapter, java.sql.Connection connection)` | Deprecated.
    `void` | `drop​(IDBAdapter dbAdapter, javax.sql.DataSource dataSource)` | Deprecated.
    `void` | `drop​(IDBAdapter dbAdapter, IDBConnectionProvider connectionProvider)` | Deprecated.
    `void` | `export​(java.sql.Connection connection, java.io.PrintStream out)` | Deprecated.
    `void` | `export​(javax.sql.DataSource dataSource, java.io.PrintStream out)` | Deprecated.
    `void` | `export​(IDBConnectionProvider connectionProvider, java.io.PrintStream out)` | Deprecated.
    `protected void` | `finalize()` | Deprecated.
    `void` | `fireEvent()` | Deprecated.
    `void` | `fireEvent​(org.eclipse.net4j.util.event.IEvent event)` | Deprecated.
    `void` | `fireEvent​(org.eclipse.net4j.util.event.IEvent event, org.eclipse.net4j.util.event.IListener[] listeners)` | Deprecated.
    `protected void` | `fireThrowable​(java.lang.Throwable throwable)` | Deprecated.
    `protected void` | `firstListenerAdded()` | Deprecated.
    `java.lang.String` | `getFullName()` | Deprecated.
    `org.eclipse.net4j.util.event.IListener[]` | `getListeners()` | Deprecated.
    `java.lang.String` | `getName()` | Deprecated.
    `protected java.util.concurrent.ExecutorService` | `getNotificationService()` | Deprecated.
    `IDBSchema` | `getSchema()` | Deprecated.
    `IDBTable` | `getTable​(java.lang.String name)` | Deprecated.
    `IDBTable[]` | `getTables()` | Deprecated.
    `boolean` | `hasListeners()` | Deprecated.
    `boolean` | `isLocked()` | Deprecated.
    `protected void` | `lastListenerRemoved()` | Deprecated.
    `boolean` | `lock()` | Deprecated.
    `void` | `removeListener​(org.eclipse.net4j.util.event.IListener listener)` | Deprecated.
    `IDBTable` | `removeTable​(java.lang.String name)` | Deprecated.
    `java.lang.String` | `toString()` | Deprecated.

    - ### Methods inherited from class org.eclipse.net4j.internal.db.ddl.DBSchema

      `collectElements, compare, createIndexName, doAccept, findElement, getParent, getSchemaElementType, getTableSafe, getWrapper, remove, unlock`

    - ### Methods inherited from class org.eclipse.net4j.internal.db.ddl.DBSchemaElement

      `accept, compareTo, dump, dumpAdditionalProperties, equals, getElement, getElements, hashCode, isEmpty, resetElements, setWrapper`

    - ### Methods inherited from class org.eclipse.net4j.internal.db.ddl.DBNamedElement

      `dump, dumpToString, findElement, name, setName`

    - ### Methods inherited from class org.eclipse.net4j.internal.db.ddl.DBElement

      `getProperties`

    - ### Methods inherited from class org.eclipse.net4j.util.event.Notifier

      `addUniqueListener, hasListener, listenerAdded, listenerRemoved`

    - ### Methods inherited from class java.lang.Object

      `clone, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Comparable

      `compareTo`

    - ### Methods inherited from interface org.eclipse.net4j.util.container.IContainer

      `getElements, isEmpty`

    - ### Methods inherited from interface org.eclipse.net4j.db.ddl.IDBElement

      `getProperties`

    - ### Methods inherited from interface org.eclipse.net4j.db.ddl.IDBSchemaElement

      `accept, getElement, setName`

    - ### Methods inherited from interface org.eclipse.net4j.spi.db.ddl.InternalDBNamedElement

      `dump, dump, dumpToString, setName`

    - ### Methods inherited from interface org.eclipse.net4j.spi.db.ddl.InternalDBSchemaElement

      `setWrapper`

- - ### Constructor Detail

    - #### DBSchema

          public DBSchema​(java.lang.String name)

      Deprecated.

    - #### DBSchema

          public DBSchema​(IDBSchema source)

      Deprecated.
      Since:
        4.2

    - #### DBSchema

          protected DBSchema()

      Deprecated.
      Constructor for deserialization.
      Since:
        4.2

  - ### Method Detail

    - #### getSchema

          public IDBSchema getSchema()

      Deprecated.
      Specified by:
        `getSchema` in interface `IDBSchemaElement`
      Overrides:
        `getSchema` in class `org.eclipse.net4j.internal.db.ddl.DBSchema`

    - #### getFullName

          public java.lang.String getFullName()

      Deprecated.
      Specified by:
        `getFullName` in interface `IDBSchemaElement`
      Overrides:
        `getFullName` in class `org.eclipse.net4j.internal.db.ddl.DBSchema`

    - #### addTable

          public IDBTable addTable​(java.lang.String name)
                            throws DBException

      Deprecated.
      Specified by:
        `addTable` in interface `IDBSchema`
      Specified by:
        `addTable` in interface `InternalDBSchema`
      Overrides:
        `addTable` in class `org.eclipse.net4j.internal.db.ddl.DBSchema`
      Throws:
        `DBException`

    - #### removeTable

          public IDBTable removeTable​(java.lang.String name)

      Deprecated.
      Specified by:
        `removeTable` in interface `IDBSchema`
      Specified by:
        `removeTable` in interface `InternalDBSchema`
      Overrides:
        `removeTable` in class `org.eclipse.net4j.internal.db.ddl.DBSchema`

    - #### getTable

          public IDBTable getTable​(java.lang.String name)

      Deprecated.
      Specified by:
        `getTable` in interface `IDBSchema`
      Overrides:
        `getTable` in class `org.eclipse.net4j.internal.db.ddl.DBSchema`

    - #### getTables

          public IDBTable[] getTables()

      Deprecated.
      Specified by:
        `getTables` in interface `IDBSchema`
      Overrides:
        `getTables` in class `org.eclipse.net4j.internal.db.ddl.DBSchema`

    - #### isLocked

          public boolean isLocked()

      Deprecated.
      Specified by:
        `isLocked` in interface `IDBSchema`
      Overrides:
        `isLocked` in class `org.eclipse.net4j.internal.db.ddl.DBSchema`

    - #### lock

          public boolean lock()

      Deprecated.
      Specified by:
        `lock` in interface `InternalDBSchema`
      Overrides:
        `lock` in class `org.eclipse.net4j.internal.db.ddl.DBSchema`

    - #### assertUnlocked

          public void assertUnlocked()
                              throws DBException

      Deprecated.
      Specified by:
        `assertUnlocked` in interface `InternalDBSchema`
      Overrides:
        `assertUnlocked` in class `org.eclipse.net4j.internal.db.ddl.DBSchema`
      Throws:
        `DBException`

    - #### create

          public java.util.Set<IDBTable> create​(IDBAdapter dbAdapter,
                                                java.sql.Connection connection)
                                         throws DBException

      Deprecated.
      Specified by:
        `create` in interface `IDBSchema`
      Overrides:
        `create` in class `org.eclipse.net4j.internal.db.ddl.DBSchema`
      Throws:
        `DBException`

    - #### create

          public java.util.Set<IDBTable> create​(IDBAdapter dbAdapter,
                                                javax.sql.DataSource dataSource)
                                         throws DBException

      Deprecated.
      Specified by:
        `create` in interface `IDBSchema`
      Overrides:
        `create` in class `org.eclipse.net4j.internal.db.ddl.DBSchema`
      Throws:
        `DBException`

    - #### create

          public java.util.Set<IDBTable> create​(IDBAdapter dbAdapter,
                                                IDBConnectionProvider connectionProvider)
                                         throws DBException

      Deprecated.
      Specified by:
        `create` in interface `IDBSchema`
      Overrides:
        `create` in class `org.eclipse.net4j.internal.db.ddl.DBSchema`
      Throws:
        `DBException`

    - #### drop

          public void drop​(IDBAdapter dbAdapter,
                           java.sql.Connection connection)
                    throws DBException

      Deprecated.
      Specified by:
        `drop` in interface `IDBSchema`
      Overrides:
        `drop` in class `org.eclipse.net4j.internal.db.ddl.DBSchema`
      Throws:
        `DBException`

    - #### drop

          public void drop​(IDBAdapter dbAdapter,
                           javax.sql.DataSource dataSource)
                    throws DBException

      Deprecated.
      Specified by:
        `drop` in interface `IDBSchema`
      Overrides:
        `drop` in class `org.eclipse.net4j.internal.db.ddl.DBSchema`
      Throws:
        `DBException`

    - #### drop

          public void drop​(IDBAdapter dbAdapter,
                           IDBConnectionProvider connectionProvider)
                    throws DBException

      Deprecated.
      Specified by:
        `drop` in interface `IDBSchema`
      Overrides:
        `drop` in class `org.eclipse.net4j.internal.db.ddl.DBSchema`
      Throws:
        `DBException`

    - #### export

          public void export​(java.sql.Connection connection,
                             java.io.PrintStream out)
                      throws DBException

      Deprecated.
      Specified by:
        `export` in interface `IDBSchema`
      Overrides:
        `export` in class `org.eclipse.net4j.internal.db.ddl.DBSchema`
      Throws:
        `DBException`

    - #### export

          public void export​(javax.sql.DataSource dataSource,
                             java.io.PrintStream out)
                      throws DBException

      Deprecated.
      Specified by:
        `export` in interface `IDBSchema`
      Overrides:
        `export` in class `org.eclipse.net4j.internal.db.ddl.DBSchema`
      Throws:
        `DBException`

    - #### export

          public void export​(IDBConnectionProvider connectionProvider,
                             java.io.PrintStream out)
                      throws DBException

      Deprecated.
      Specified by:
        `export` in interface `IDBSchema`
      Overrides:
        `export` in class `org.eclipse.net4j.internal.db.ddl.DBSchema`
      Throws:
        `DBException`

    - #### getName

          public java.lang.String getName()

      Deprecated.
      Specified by:
        `getName` in interface `IDBNamedElement`
      Overrides:
        `getName` in class `org.eclipse.net4j.internal.db.ddl.DBNamedElement`

    - #### toString

          public java.lang.String toString()

      Deprecated.
      Overrides:
        `toString` in class `org.eclipse.net4j.internal.db.ddl.DBNamedElement`

    - #### addListener

          public void addListener​(org.eclipse.net4j.util.event.IListener listener)

      Deprecated.
      Specified by:
        `addListener` in interface `org.eclipse.net4j.util.event.INotifier`
      Overrides:
        `addListener` in class `org.eclipse.net4j.util.event.Notifier`

    - #### removeListener

          public void removeListener​(org.eclipse.net4j.util.event.IListener listener)

      Deprecated.
      Specified by:
        `removeListener` in interface `org.eclipse.net4j.util.event.INotifier`
      Overrides:
        `removeListener` in class `org.eclipse.net4j.util.event.Notifier`

    - #### hasListeners

          public boolean hasListeners()

      Deprecated.
      Specified by:
        `hasListeners` in interface `org.eclipse.net4j.util.event.INotifier`
      Overrides:
        `hasListeners` in class `org.eclipse.net4j.util.event.Notifier`

    - #### getListeners

          public org.eclipse.net4j.util.event.IListener[] getListeners()

      Deprecated.
      Specified by:
        `getListeners` in interface `org.eclipse.net4j.util.event.INotifier`
      Overrides:
        `getListeners` in class `org.eclipse.net4j.util.event.Notifier`

    - #### fireEvent

          public void fireEvent()

      Deprecated.
      Overrides:
        `fireEvent` in class `org.eclipse.net4j.util.event.Notifier`

    - #### fireEvent

          public void fireEvent​(org.eclipse.net4j.util.event.IEvent event)

      Deprecated.
      Overrides:
        `fireEvent` in class `org.eclipse.net4j.util.event.Notifier`

    - #### fireEvent

          public void fireEvent​(org.eclipse.net4j.util.event.IEvent event,
                                org.eclipse.net4j.util.event.IListener[] listeners)

      Deprecated.
      Overrides:
        `fireEvent` in class `org.eclipse.net4j.util.event.Notifier`

    - #### fireThrowable

          protected void fireThrowable​(java.lang.Throwable throwable)

      Deprecated.
      Overrides:
        `fireThrowable` in class `org.eclipse.net4j.util.event.Notifier`

    - #### getNotificationService

          protected java.util.concurrent.ExecutorService getNotificationService()

      Deprecated.
      Overrides:
        `getNotificationService` in class `org.eclipse.net4j.util.event.Notifier`

    - #### firstListenerAdded

          protected void firstListenerAdded()

      Deprecated.
      Overrides:
        `firstListenerAdded` in class `org.eclipse.net4j.util.event.Notifier`

    - #### lastListenerRemoved

          protected void lastListenerRemoved()

      Deprecated.
      Overrides:
        `lastListenerRemoved` in class `org.eclipse.net4j.util.event.Notifier`

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Deprecated.
      Overrides:
        `finalize` in class `java.lang.Object`
      Throws:
        `java.lang.Throwable`